#!/bin/bash
#
# Component: commit
#
# Purpose:
#     Updates Storage Commitment Requests and send Response for fullfilled ones.
# Will also purge old flags
#
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#

. $HOME/etc/setenv.sh

LOGGER="/usr/bin/logger"
TAG="commitupdate[$$]"

COMMIT_EXPIRE_DAYS="30"
FLAGS_PURGE_DAYS="30"

[ -f "$COMMIT_VAR/commit.cfg" ] && . "$COMMIT_VAR/commit.cfg"

export COMMIT_EXPIRE_DAYS FLAGS_PURGE_DAYS

$LOGGER -p $LOG_FACILITY.info -t "$TAG" "COMMIT_EXPIRE_DAYS: $COMMIT_EXPIRE_DAYS ; FLAGS_PURGE_DAYS $FLAGS_PURGE_DAYS"

$COMMIT_HOME/bin/check

[ "$FLAGS_PURGE_DAYS" -le 0 ] && exit 0

$LOGGER -p $LOG_FACILITY.info -t "$TAG" "Cleanup old flags"

CWD=`pwd`
cd $COMMIT_VAR/flags
if [ $? -ne 0 ] ; then
	$LOGGER -p $LOG_FACILITY.err -t "$TAG" "Could not change current directory to $COMMIT_VAR/flags"
	exit 1
fi

find . -type f -atime +$FLAGS_PURGE_DAYS -exec rm -f {} \; >/dev/null

cd $CWD

exit 0
