#!/bin/bash
#
# Component: dicom
#
# Description:
#    Wrapper around sendman to let it create debug logs
#

. $HOME/etc/setenv.sh


DICOM_OPTIONS=""
hasDebug="false"
if [ -f "$RUN/dicom.options" ] ; then
	. "$RUN/dicom.options" 2>/dev/null
	if `grep -q -- "-d" <<<"$DICOM_OPTIONS"`; then
		hasDebug="true"
	fi
fi

if [ "$hasDebug" = "false" ] ; then
	$DICOM_HOME/bin/sendman "$@" >/dev/null 2>&1
	exit $?
fi

$DICOM_HOME/bin/sendman $DICOM_OPTIONS "$@" >>$LOG/sendman.log 2>&1
exit $?
