/// Wavelet status codes
/**
 * @file 
 * This file contains the definition of different wavelet status codes
 *
 * @author Gabor Ligeti
 *
 */

// Can't use standard include guard if it is to be used in two versions  
#pragma once
//#ifndef _CMGWSTATUS_H_
//#define _CMGWSTATUS_H_

#include "gwavns.h"
namespace cmg{ namespace GWAV_NS {  
 
/// Wavelet procedure success/status codes
typedef enum _WaveletStatus {

/// Status is undefined, uninitialized
WaveletStatus_Undefined=-1,

/// Status is OK, operation completed without error
WaveletStatus_OK=0,

/// Stream has terminated prematurely, data is lossy
WaveletStatus_EOS=4,

/// Process has been stopped; it can be resumed by calling again
WaveletStatus_Suspended=8,

/// Process has been stopped/killed, can not resume.
WaveletStatus_Stopped=16,

/// Bad data/error
WaveletStatus_Error=128

} WaveletStatus;

} } // namespace cmg::GWAV_NS

//#endif //_CMGWASTATUS_H_