/*
 * Component: utils
 *
 * Purpose:
 *    General purpose debug/verbose macros.
 *
 * To use debug/verbose:
 *
 *  #include "imutils/IMDebug.h"
 *
 *  extern bool g_imDebug;
 *  extern bool g_imVerbose;
 *
 * g_imDebug and g_imVerbose are defined in IMException.cc
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
 *
 */
#ifndef __IM_DEBUG_H_INCLUDED__
#define __IM_DEBUG_H_INCLUDED__

#define IM_ISDEBUG() (g_imDebug)

#define IM_ISVERBOSE() (g_imVerbose || g_imDebug)

#define IM_DEBUG(...) if (g_imDebug) { fprintf(stdout, __VA_ARGS__); fprintf(stdout, "\n"); }

#define IM_VERBOSE(...) if (g_imVerbose || g_imDebug) { fprintf(stdout, __VA_ARGS__); fprintf(stdout, "\n"); }

#define IM_SETDEBUG(x)  g_imDebug = x;

#define IM_SETVERBOSE(x)  g_imVerbose = x;

#endif // __IM_DEBUG_H_INCLUDED__

