#!/bin/bash
#
# Component: tools
#
# Description: Removes object table entries and object references after converting a CWL server
# to an object-less CWL server
#
# Usage:
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#

. $HOME/etc/setenv.sh

function checkObjectless_() {
	local ProcessMode="Process"
	local NoObjectTable="no"

	[ -f "$CONF/self.rec" ] && . "$CONF/self.rec"

	[ "$ProcessMode" = "Database" -a "$NoObjectTable" = "yes" ] && return 0
	return 1
}

checkObjectless_
if [ $? -ne 0 ] ; then
	echo "Can only be started on Object-less CWL servers"
	exit 1
fi

$TASKD_HOME/createtaskfileapp -p CLEAN_OBJECT_TABLE -t "class" -c "cases.CleanObjectTable"
if [ $? -ne 0 ] ; then
	echo "CleanObjectTable task could not be created"
	exit 1
fi

echo "Cleaning object table started, check $LOG/info.log for progress"
