#!/bin/bash
#
# Description:
#   Restores archive database from the content of the archive
#
# Usage:
#   fixArchiveDb.sh [-o] <study>
#
#			-o : SQL dump only (Do not execute the REPLACE statements.)
#						(default: executes the REPLACE statements)
#

. $HOME/etc/setenv.sh

GETDATA_AWK="$TOOLS_HOME/getdata.awk"

dumpOnlyOpt=""

if [ "$1" = "-o" ] ; then 
	dumpOnlyOpt="-o"
	shift
fi

study="$1"

if [ -z "$study" ] ; then
	echo "Missing argument: Study Instance UID"
	exit 1
fi


archdir=`echo "select ARCHDIR from $ARCHIVETBL where STYIUID='$study';" | $MYSQL_HOME/bin/mysql -N $DBNAME`
if [ $? -ne 0 ] ; then
	echo "MySQL error" >&2
	exit 1
fi

if [ -z "$archdir" ] ; then
	echo "No archive directory found for study $study" >&2
	exit 1
fi


$TOOLS_HOME/restorearchivedb.sh $dumpOnlyOpt -s "$archdir/$study"

