#!/bin/bash
#
# Component: tools
#
# Description:
#   Stat post-processing module for objects processed
#
# Usage:
#
#    post_fwd.sh [options]
#
#	-f returns the logfile used
#	-p returns the stat properties it creates
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$


if [ "$1" == "-f" ] ; then
  echo oper_info.log
  exit
elif [ "$1" == "-p" ] ; then
  echo "obj_forwarded
obj_archived"
  exit
fi

if [ "$1" == "-d" ] ; then
  gdate=`date -d $2 +"%b %e"`
else
  gdate=`date +"%b %e"`
fi

 grep -a -e "fwd" -e "put_to_archive" | grep -a "^$gdate" | gawk '
$6=="INFO" {
   u = $3; split(u,tm,":");
   t=tm[1] ":" tm[2];  // minutes

   if ($7=="OBJECT") {
      if ($8=="fwd") fw[t]++;
      if ($8=="put_to_archive") ar[t]++;
   }
}

$7=="INFO" {
   u = $3; split(u,tm,":");
   t=tm[1] ":" tm[2];  // minutes

   if ($8=="OBJECT") {
      if ($9=="fwd") fw[t]++;
      if ($9=="put_to_archive") ar[t]++;
   }
}

END {
  for (h=0;h<24;h++) for (m=0;m<60;m++) {
    t=sprintf("%02d:%02d",h,m);
    printf("monitorSTART=xxxx/xx/xx %s:00\n",t);
    printf("obj_forwarded=%d\n",fw[t]);
    printf("obj_archived=%d\n",ar[t]);
    }
} '