#!/bin/bash
#
# Component: tools
#
# Description:
#   Stat post-processing module for pass-through of monitor.log data
#
# Usage:
#
#    post_raw.sh [options]
#
#	-f returns the logfile used
#	-p returns the stat properties it creates
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$


if [ "$1" == "-f" ] ; then
  echo monitor.log
  exit
elif [ "$1" == "-p" ] ; then
  # dynamically collect properties from monitor.log
  [ ! -f ~/var/log/monitor.log ] && exit
  cat ~/var/log/monitor.log | tail -2000 | grep -a "=" | grep -a -v "monitorSTART" | awk -F'=' '{print $1}' | sort --unique
  exit
fi

if [ "$1" == "-d" ] ; then
  gdate=`date -d $2 +"%Y/%m/%d"`
else
  gdate=`date +"%Y/%m/%d"`
fi


gawk -vD="$gdate" ' 
$1 ~ "^monitorSTART=" { 
  split($1,u,"=");
  if (u[2]==D) on=1; else on=0;
  } 
on { print } 
'