#!/bin/bash
#
#   Waits until the queues are empty
#
#
#

. $HOME/etc/setenv.sh

TASKSCRIPT="$TOOLS_HOME/waitForQueueTask.sh"
TASKCOMMAND="$TASKSCRIPT"

MAXRETRY=""
QUEUES=""
DOWAIT=""

while getopts 'o:f:q:O:F:R:W' OPT; do
	case $OPT in
	o) TASKCOMMAND="$TASKCOMMAND -o \"$OPTARG\"" ;;
	f) TASKCOMMAND="$TASKCOMMAND -f \"$OPTARG\"" ;;
	q) ;; # -q is a legacy option and will be ignored
	O) TASKCOMMAND="$TASKCOMMAND -O \"$OPTARG\"" ;;
	F) TASKCOMMAND="$TASKCOMMAND -F \"$OPTARG\"" ;;
	R) TASKCOMMAND="$TASKCOMMAND -R \"$OPTARG\"" ; MAXRETRY="$OPTARG" ;;
	W) DOWAIT="true" ;;
	*) ERRMSG="Invalid_Parameter:$OPT" ;;
	esac
done

TASKTMP="$TMP/9999.`date +%Y%m%d%H%M%S`.$$.sh"

if [ "$DOWAIT" != "true" ] ; then
	$TASKD_HOME/createtaskfileapp -p WAIT_FOR_QUEUE -t "sh" -c "$TASKCOMMAND"
	return 0
fi


ENDFILE="$TASKTMP.end"
ERRFILE="$TASKTMP.err"

parretry=""
[ -n "$MAXRETRY" ] && parretry="-R \"$MAXRETRY\""

$TASKD_HOME/createtaskfileapp -p WAIT_FOR_QUEUE -t "sh" -c "$TASKSCRIPT -o touch -O \"$ENDFILE\" -f touch -F \"$ERRFILE\" $parretry"

while [ ! -f "$ENDFILE" -a ! -f "$ERRFILE" ] ; do
	sleep 20
done

if [ -f "$ENDFILE" ] ; then
	rm $ENDFILE
	exit 0
fi

if [ -f "$ERRFILE" ] ; then
	rm $ERRFILE
	exit 1
fi

exit 1
